"use strict";
var y = Object.create;
var i = Object.defineProperty;
var h = Object.getOwnPropertyDescriptor;
var c = Object.getOwnPropertyNames;
var l = Object.getPrototypeOf, v = Object.prototype.hasOwnProperty;
var u = (o, r, e, s) => {
  if (r && typeof r == "object" || typeof r == "function")
    for (let a of c(r))
      !v.call(o, a) && a !== e && i(o, a, { get: () => r[a], enumerable: !(s = h(r, a)) || s.enumerable });
  return o;
};
var k = (o, r, e) => (e = o != null ? y(l(o)) : {}, u(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  r || !o || !o.__esModule ? i(e, "default", { value: o, enumerable: !0 }) : e,
  o
));

// src/bin/index.ts
var n = require("node:child_process"), p = require("node:fs"), b = require("node:path");

// src/common/versions.ts
var d = {
  "@storybook/addon-a11y": "0.0.0-pr-31692-sha-e6b952d3",
  "@storybook/addon-docs": "0.0.0-pr-31692-sha-e6b952d3",
  "@storybook/addon-jest": "0.0.0-pr-31692-sha-e6b952d3",
  "@storybook/addon-links": "0.0.0-pr-31692-sha-e6b952d3",
  "@storybook/addon-onboarding": "0.0.0-pr-31692-sha-e6b952d3",
  "storybook-addon-pseudo-states": "0.0.0-pr-31692-sha-e6b952d3",
  "@storybook/addon-themes": "0.0.0-pr-31692-sha-e6b952d3",
  "@storybook/addon-vitest": "0.0.0-pr-31692-sha-e6b952d3",
  "@storybook/builder-vite": "0.0.0-pr-31692-sha-e6b952d3",
  "@storybook/builder-webpack5": "0.0.0-pr-31692-sha-e6b952d3",
  storybook: "0.0.0-pr-31692-sha-e6b952d3",
  "@storybook/angular": "0.0.0-pr-31692-sha-e6b952d3",
  "@storybook/ember": "0.0.0-pr-31692-sha-e6b952d3",
  "@storybook/html-vite": "0.0.0-pr-31692-sha-e6b952d3",
  "@storybook/nextjs": "0.0.0-pr-31692-sha-e6b952d3",
  "@storybook/nextjs-vite": "0.0.0-pr-31692-sha-e6b952d3",
  "@storybook/preact-vite": "0.0.0-pr-31692-sha-e6b952d3",
  "@storybook/react-native-web-vite": "0.0.0-pr-31692-sha-e6b952d3",
  "@storybook/react-vite": "0.0.0-pr-31692-sha-e6b952d3",
  "@storybook/react-webpack5": "0.0.0-pr-31692-sha-e6b952d3",
  "@storybook/server-webpack5": "0.0.0-pr-31692-sha-e6b952d3",
  "@storybook/svelte-vite": "0.0.0-pr-31692-sha-e6b952d3",
  "@storybook/sveltekit": "0.0.0-pr-31692-sha-e6b952d3",
  "@storybook/vue3-vite": "0.0.0-pr-31692-sha-e6b952d3",
  "@storybook/web-components-vite": "0.0.0-pr-31692-sha-e6b952d3",
  sb: "0.0.0-pr-31692-sha-e6b952d3",
  "@storybook/cli": "0.0.0-pr-31692-sha-e6b952d3",
  "@storybook/codemod": "0.0.0-pr-31692-sha-e6b952d3",
  "@storybook/core-webpack": "0.0.0-pr-31692-sha-e6b952d3",
  "create-storybook": "0.0.0-pr-31692-sha-e6b952d3",
  "@storybook/csf-plugin": "0.0.0-pr-31692-sha-e6b952d3",
  "eslint-plugin-storybook": "0.0.0-pr-31692-sha-e6b952d3",
  "@storybook/react-dom-shim": "0.0.0-pr-31692-sha-e6b952d3",
  "@storybook/preset-create-react-app": "0.0.0-pr-31692-sha-e6b952d3",
  "@storybook/preset-react-webpack": "0.0.0-pr-31692-sha-e6b952d3",
  "@storybook/preset-server-webpack": "0.0.0-pr-31692-sha-e6b952d3",
  "@storybook/html": "0.0.0-pr-31692-sha-e6b952d3",
  "@storybook/preact": "0.0.0-pr-31692-sha-e6b952d3",
  "@storybook/react": "0.0.0-pr-31692-sha-e6b952d3",
  "@storybook/server": "0.0.0-pr-31692-sha-e6b952d3",
  "@storybook/svelte": "0.0.0-pr-31692-sha-e6b952d3",
  "@storybook/vue3": "0.0.0-pr-31692-sha-e6b952d3",
  "@storybook/web-components": "0.0.0-pr-31692-sha-e6b952d3"
};

// src/bin/index.ts
var t = process.argv.slice(2);
if (["dev", "build", "index"].includes(t[0]))
  require("storybook/internal/cli/bin");
else {
  let o;
  if (t[0] === "init") {
    let e;
    try {
      e = require.resolve("create-storybook/package.json");
    } catch {
    }
    e ? JSON.parse((0, p.readFileSync)(e, "utf-8")).version === d["create-storybook"] && (o = [
      "node",
      (0, b.join)((0, b.dirname)(e), "bin", "index.cjs"),
      ...t.slice(1)
    ]) : o = ["npx", "--yes", `create-storybook@${d.storybook}`, ...t.slice(1)];
  } else {
    let e;
    try {
      e = require.resolve("@storybook/cli/package.json");
    } catch {
    }
    e ? JSON.parse((0, p.readFileSync)(e, "utf-8")).version === d["@storybook/cli"] && (o = ["node", (0, b.join)((0, b.dirname)(e), "bin", "\
index.cjs"), ...t]) : o = ["npx", "--yes", `@storybook/cli@${d.storybook}`, ...t];
  }
  o || (console.error("Could not run storybook cli, please report this as a bug"), process.exit(1)), (0, n.spawn)(o[0], o.slice(1), { stdio: "\
inherit", shell: !0 }).on("exit", (e) => {
    e != null && process.exit(e), process.exit(1);
  });
}
